summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author hollywoodb2010-05-11 14:28:17 +0200
committer Robby Workman2010-05-11 14:28:17 +0200
commitd9e95f118596642682bc4d0eba131006ecbad3e8 (patch)
tree6d43d3a0205d90ded981b72ab2026f05371a34f2 /games
parent56b0b438da719976cf8d651455ba5e14f7976867 (diff)
downloadslackbuilds-d9e95f118596642682bc4d0eba131006ecbad3e8.tar.gz
games/blobAndConquer: Initial import
Diffstat (limited to 'games')
-rw-r--r--games/blobAndConquer/README9
-rw-r--r--games/blobAndConquer/blobAndConquer.SlackBuild64
-rw-r--r--games/blobAndConquer/blobAndConquer.info8
-rw-r--r--games/blobAndConquer/makefile.diff30
-rw-r--r--games/blobAndConquer/slack-desc7
5 files changed, 118 insertions, 0 deletions
diff --git a/games/blobAndConquer/README b/games/blobAndConquer/README
new file mode 100644
index 0000000000..8f2d2d3832
--- /dev/null
+++ b/games/blobAndConquer/README
@@ -0,0 +1,9 @@
+Blob And Conquer (Blob Wars Episode 2) is a Mission and Objective based
+3D Action game. This is episode 2 of the Blob Wars saga. With the apparent
+defeat of Galdov and the reclaiming of the Fire, Time, Space and Reality
+Crystals the Blobs' battle was only just beginning. Bob had rescued many
+Blobs and fought many battles, but now he had an ever bigger task ahead of
+him. The Blobs' homeworld is still littered with the alien forces and Bob
+once again makes it his task to lead the counter attack. But even without
+Galdov the aliens are still extremely well organised...
+
diff --git a/games/blobAndConquer/blobAndConquer.SlackBuild b/games/blobAndConquer/blobAndConquer.SlackBuild
new file mode 100644
index 0000000000..651802673c
--- /dev/null
+++ b/games/blobAndConquer/blobAndConquer.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+NAME=blobAndConquer
+VERSION=0.7
+SUBVERSION=2
+PKG_VERSION=$VERSION.$SUBVERSION
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $NAME-$VERSION
+tar -zxvf $CWD/$NAME-$VERSION-$SUBVERSION.tar.gz || exit 1
+cd $NAME-$VERSION || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+# Let's fix the documentation directory in the makefile
+# instead of doing it manually in the script
+patch -p1 < $CWD/makefile.diff || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+sed -i 's#Icon=blobAndConquer#Icon=/usr/share/icons/blobAndConquer.png#' \
+ $PKG/usr/share/applications/blobAndConquer.desktop || exit 1
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$PKG_VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$NAME-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/blobAndConquer/blobAndConquer.info b/games/blobAndConquer/blobAndConquer.info
new file mode 100644
index 0000000000..7ce466d45b
--- /dev/null
+++ b/games/blobAndConquer/blobAndConquer.info
@@ -0,0 +1,8 @@
+PRGNAM="blobAndConquer"
+VERSION="0.7.2"
+HOMEPAGE="http://www.parallelrealities.co.uk/blobAndConquer.php"
+DOWNLOAD="http://www.parallelrealities.co.uk/download.php?file=blobAndConquer-0.7-2.tar.gz&type=zip"
+MD5SUM="c189414401cd9b2ff4b372be9ac433c0"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810,alien"
diff --git a/games/blobAndConquer/makefile.diff b/games/blobAndConquer/makefile.diff
new file mode 100644
index 0000000000..ce2281b5ca
--- /dev/null
+++ b/games/blobAndConquer/makefile.diff
@@ -0,0 +1,30 @@
+diff -Naur blobAndConquer-0.7.orig/makefile blobAndConquer-0.7/makefile
+--- blobAndConquer-0.7.orig/makefile 2006-12-06 14:42:21.000000000 -0600
++++ blobAndConquer-0.7/makefile 2006-12-17 02:33:14.000000000 -0600
+@@ -13,7 +13,7 @@
+ PREFIX = $(DESTDIR)/usr
+ BINDIR = $(PREFIX)/games
+ DATADIR = $(PREFIX)/share/games/blobAndConquer
+-DOCDIR = $(PREFIX)/share/doc/$(PROG)
++DOCDIR = $(PREFIX)/doc/$(PROG)-$(VERSION).$(RELEASE)
+ ICONDIR = $(PREFIX)/share/icons
+ MENUDIR = $(PREFIX)/share/applications
+
+@@ -81,6 +81,8 @@
+ mkdir -p $(BINDIR)
+ mkdir -p $(DATADIR)
+ mkdir -p $(DOCDIR)
++ mkdir -p $(ICONDIR)
++ mkdir -p $(MENUDIR)
+
+ cp $(PROG) $(BINDIR)/$(PROG)
+
+@@ -90,7 +92,7 @@
+ cp -R sound $(DATADIR)
+ cp -R textures $(DATADIR)
+
+- cp -R doc $(DOCDIR)
++ cp -R doc/* $(DOCDIR)
+
+ cp icons/blobAndConquer.png $(ICONDIR)
+ cp icons/blobAndConquer.desktop $(MENUDIR)
diff --git a/games/blobAndConquer/slack-desc b/games/blobAndConquer/slack-desc
new file mode 100644
index 0000000000..1d036b9bf4
--- /dev/null
+++ b/games/blobAndConquer/slack-desc
@@ -0,0 +1,7 @@
+blobAndConquer: blobAndConquer (Somewhat violent 3D action game)
+blobAndConquer:
+blobAndConquer: Mission and Objective based 3D Action game.
+blobAndConquer: This is episode 2 of the Blob Wars saga.
+blobAndConquer:
+blobAndConquer:
+blobAndConquer: